Pbm Profile Profile Manager Pbm Delete

Pbm Profile Profile Manager Pbm Delete
Deletes one or more profiles.

Deletes one or more profiles.

If the method successfully deletes a profile, its identifier is no longer valid.

Required privileges: StorageProfile.Update

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/pbm/PbmProfileProfileManager/{moId}/PbmDelete
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case PbmProfileProfileManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
PbmDeleteRequestType of type(s) application/json
Required

Show optional properties

{
    "profileId": [
        {
            "uniqueId": "string"
        }
    ]
}
{
    "profileId": [
        {
            "_typeName": "string",
            "uniqueId": "string"
        }
    ]
}
array of object
profileId
Required

Array of profile identifiers.

Authentication
This operation uses the following authentication methods.
Responses
200

Array of result objects, one for each profile specified in the call to the PbmDelete method.

The result object contains the profile ID and, if an error occurred, it also describes the fault. The method can return one of the following faults if the profile cannot be deleted:

[
    {
        "_typeName": "string",
        "profileId": {
            "_typeName": "string",
            "uniqueId": "string"
        },
        "fault": {
            "_typeName": "string",
            "faultCause": {
                "_typeName": "string",
                "faultCause": "MethodFault Object",
                "faultMessage": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "arg": [
                            {
                                "_typeName": "string",
                                "key": "string",
                                "value": {
                                    "_typeName": "string"
                                }
                            }
                        ],
                        "message": "string"
                    }
                ]
            },
            "faultMessage": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "arg": [
                        {
                            "_typeName": "string",
                            "key": "string",
                            "value": {
                                "_typeName": "string"
                            }
                        }
                    ],
                    "message": "string"
                }
            ]
        }
    }
]
array of object
Optional

The PbmProfileOperationOutcome data object describes the result of a PbmProfileProfileManager operation.

If there was an error during the operation, the object identifies the fault.

This structure may be used only with operations rendered under /pbm.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"profileId":["object"]}' https://{api_host}/sdk/vim25/{release}/pbm/PbmProfileProfileManager/{moId}/PbmDelete